
Redmine - Feature #19501

Assign issue to <<author>>

2015-03-27 11:54 - Jacek Grzybowski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

A good idea might be to add an option `<<author>>` to 'assignee' select for issues.

Related issues:

Related to Redmine - Feature #16045: Add "Author / Previous assignee" group t... Closed

History

#1 - 2015-03-27 11:54 - Jacek Grzybowski

- Copied from Feature #16561: Private files added

#2 - 2015-03-27 12:37 - Toshi MARUYAMA

- Copied from deleted (Feature #16561: Private files)

#3 - 2015-04-11 01:12 - [ Desperados ]

a interesting feature will be assign to a project by author, so I can use email-import to create issue from one email address and automatically assign

to right project

#4 - 2018-08-16 15:48 - Mikhail Oleynik

Any news on that?

Really useful feature to have...

And there is ready patch already added.

Please, increase its priority.

#5 - 2018-08-16 18:15 - Go MAEDA

- Related to Feature #16045: Add "Author / Previous assignee" group to assignee dropdown in issue form added

#6 - 2021-02-04 09:30 - Ribald Drobens

It could be implemented as an option in the project settings "default asignee". Currently one can already select <<Me>> there, however, it resolves to

my name instead of the respective issue creator.

+1

#7 - 2021-09-26 09:21 - Yuuki NARA

- File redmine-19501-assign-author-sample.png added

+1

I want the ticket assignee to be able to select "ticket author".

After processing the ticket, we ask the ticket creator to check the operation and close the ticket.

It is necessary to change the assignee of the ticket to the ticket author.

If the number of participants in the project is large, the task of selecting the person in charge is troublesome and can be mistaken.

I applied the patch in my test environment.

The screen looks like this.

Below is a patch code based on Redmine 4.2
If it is helpful for you, then I think it is good.

https://github.com/y503unavailable/redmine/compare/67f3572c4edacbf43434d4341cf921edc228c891..c51dd307099241ff10970531269653aaebeb2fc

f

 

#8 - 2021-09-27 12:27 - C S

+1

#9 - 2021-12-12 10:45 - beko akabeko

+1

#10 - 2023-06-27 12:15 - Bartłomiej Szewczyk

+1

#11 - 2023-12-30 05:42 - Go MAEDA

- Target version set to Candidate for next major release

#12 - 2024-09-04 06:29 - Go MAEDA

I posted a patch in #16045#note-30 that includes this feature. It displays both the author and the prior assignee.

 clipboard-202409031826-4kecg.png 

#13 - 2024-09-07 08:26 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#14 - 2024-09-09 15:28 - Go MAEDA

- Target version changed from 6.0.0 to Candidate for next major release

#15 - 2024-09-15 08:41 - Go MAEDA
https://github.com/y503unavailable/redmine/compare/67f3572c4edacbf43434d4341cf921edc228c891..c51dd307099241ff10970531269653aaebeb2fcf
https://github.com/y503unavailable/redmine/compare/67f3572c4edacbf43434d4341cf921edc228c891..c51dd307099241ff10970531269653aaebeb2fcf
https://www.redmine.org/issues/16045#note-30


- File clipboard-202409151538-8vh4s.png added

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

#16045 added a new options group "Author / Previous assignee" to the assignee dropdown in the issue form. The assignee is listed as the first item

of the group.
Files

assign_to_author.diff 2.41 KB 2015-03-27 Jacek Grzybowski
